#AutoIt3Wrapper_Au3Check_Parameters=-d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6 -w 7

#include <Constants.au3>
#include '_GUIDisable.au3'

Example_1()

Func Example_1()
	Local $hGUI = GUICreate('_GUIDisable()', 300, 100, -1, -1, BitXOR($GUI_SS_DEFAULT_GUI, $WS_SIZEBOX, $WS_MINIMIZEBOX))
	Local $iButton_1 = GUICtrlCreateButton('Effect 1', 5, 5, 100, 25)
	GUICtrlSetResizing(-1, $GUI_DOCKLEFT + $GUI_DOCKSIZE + $GUI_DOCKTOP)

	Local $iButton_2 = GUICtrlCreateButton('Effect 2', 5, 30, 100, 25)
	GUICtrlSetResizing(-1, $GUI_DOCKLEFT + $GUI_DOCKSIZE + $GUI_DOCKTOP)

	GUISetState(@SW_SHOW, $hGUI)

	Local $hDisableGUI = 0, $hTimer = 0
	While 1
		Switch GUIGetMsg()
			Case $GUI_EVENT_CLOSE
				ExitLoop

			Case $iButton_1
				; Enable the dimmed effect on the current GUI with the animation turned on.
				_GUIDisable(-1, 1, 25)
				MsgBox($MB_SYSTEMMODAL, '_GUIDisable()', 'See how the GUI is now dimmed. Once you select OK, you''ll have 5 seconds to re-size the GUI!' & @CRLF & @CRLF & _
						'If you wish to exit the 5 second timer, then simply select "Close" to exit the loop.')
				$hTimer = TimerInit()
				Do
					; Exit the loop if $GUI_EVENT_CLOSE is captured by GUIGetMsg().
					If GUIGetMsg() = $GUI_EVENT_CLOSE Then
						ExitLoop
					EndIf
					Sleep(10)
				Until TimerDiff($hTimer) > 5000

				; Disable the dimmed effect with the animation turned on and add focus to the current GUI.
				_GUIDisable(-1, 1)

			Case $iButton_2
				; Enable the dimmed effect on the current GUI without the animation.
				$hDisableGUI = _GUIDisable($hGUI, 0, 25, 0x7D26CD)

				; Pass handle of dimmed GUI to the MsgBox, just the same as passing $hGUI.
				MsgBox($MB_SYSTEMMODAL, '_GUIDisable(' & $hGUI & ')', 'See how the GUI is now dimmed with a Purple color.', 0, $hDisableGUI)

				; Disable the dimmed effect without the animation and add focus back to the previous GUI.
				_GUIDisable($hGUI, 0)

		EndSwitch
	WEnd
	GUIDelete($hGUI)
EndFunc   ;==>Example_1